メインコンテンツへスキップ
PUT
/
cms
/
v3
/
pages
/
site-pages
/
multi-language
/
set-new-lang-primary
新しいプライマリー言語を設定
curl --request PUT \
  --url https://api.hubapi.com/cms/v3/pages/site-pages/multi-language/set-new-lang-primary \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>"
}
'
import requests

url = "https://api.hubapi.com/cms/v3/pages/site-pages/multi-language/set-new-lang-primary"

payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};

fetch('https://api.hubapi.com/cms/v3/pages/site-pages/multi-language/set-new-lang-primary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Request body object for setting a new primary language.

id
string
必須

多言語グループのプライマリーとして設定するオブジェクトのID。

レスポンス

最終更新日 2026年4月10日